Subject: Re: bug#11127: 24.0.94; [PATCH] Tutorial breaks with modified key bindings

From: "Aaron S. Hawley" <[email-masked]>
Date: Thu, 29 Mar 2012 17:31:31 -0400

Glenn Morris wrote:
> I cannot reproduce this with the current trunk. I did:
>
> emacs -Q
> (global-set-key [?\C-f] 'ignore)
> C-h t
>
> The tutorial opens just fine:
>
>     Emacs tutorial.  See end for copying conditions.
>
>     NOTICE: The main purpose of the Emacs tutorial is to teach you
>     the most important standard Emacs commands (key bindings).
>     However, your Emacs has been customized by changing some of
>     these basic editing commands, so it doesn't correspond to the
>     tutorial.  We have inserted colored notices where the altered
>     commands have been introduced. [More]
>
> Why is your tutorial read-only?

Glenn,

Sorry, should have tried -Q.  Turns out the tutorial was read-only
because I had dir-locals that set a directory to read-only and I
happened to run `C-h t' from that directory.

Try with,

    emacs -Q
    (dir-locals-set-class-variables
     'unwritable-directory
     '((nil . ((buffer-read-only . t)))))
    (dir-locals-set-directory-class default-directory 'unwritable-directory)
    C-h t

I believe I've found a corner-case.

Although, is (hack-local-variables) really that necessary in
tutorial.el?  It's not clear to me.
aaron